Loading...
Searching...
No Matches
casacore::ArrayFITSFieldCopier< recordType, fitsType > Class Template Reference
FITS_module_internal_classes

A FITSFieldCopier for copying Array RecordFields to FitsFields. More...

`#include <FITSFieldCopier.h>`

## Public Member Functions

| ArrayFITSFieldCopier (RORecordFieldPtr< Array< recordType > > *recptr, FitsField< fitsType > *fitsptr)
| ~ArrayFITSFieldCopier ()
virtual void | copyToFITS ()
| Copy the current contents of the input RORecordFieldPtr to the output FitsField.
Public Member Functions inherited from casacore::FITSFieldCopier
virtual | ~FITSFieldCopier ()
| destructor

## Private Member Functions

| ArrayFITSFieldCopier (const ArrayFITSFieldCopier< recordType, fitsType > &other)
| Undefined and inaccessible.
ArrayFITSFieldCopier & | operator= (const ArrayFITSFieldCopier< recordType, fitsType > &other)

## Private Attributes

RORecordFieldPtr< Array< recordType > > * | rec_p
FitsField< fitsType > * | fits_p

## Detailed Description

template<class recordType, class fitsType>
class casacore::ArrayFITSFieldCopier< recordType, fitsType >

A FITSFieldCopier for copying Array RecordFields to FitsFields.

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- RORecordField
- FitsFields

### Etymology

### Synopsis

### Example

### Motivation

### Thrown Exceptions

### To Do

- actually document this

Definition at line 244 of file FITSFieldCopier.h.

## Constructor & Destructor Documentation

## ArrayFITSFieldCopier() [1/2]

template<class recordType, class fitsType>

casacore::ArrayFITSFieldCopier< recordType, fitsType >::ArrayFITSFieldCopier | ( | RORecordFieldPtr< Array< recordType > > * | recptr,
|  | FitsField< fitsType > * | fitsptr )

inline

Definition at line 248 of file FITSFieldCopier.h.

References fits_p, and rec_p.

Referenced by ArrayFITSFieldCopier(), and operator=().

## ~ArrayFITSFieldCopier()

template<class recordType, class fitsType>

casacore::ArrayFITSFieldCopier< recordType, fitsType >::~ArrayFITSFieldCopier | ( |  | ) |

inline

Definition at line 250 of file FITSFieldCopier.h.

References fits_p, and rec_p.

## ArrayFITSFieldCopier() [2/2]

template<class recordType, class fitsType>

casacore::ArrayFITSFieldCopier< recordType, fitsType >::ArrayFITSFieldCopier | ( | const ArrayFITSFieldCopier< recordType, fitsType > & | other | ) |

private

Undefined and inaccessible.

References ArrayFITSFieldCopier().

## Member Function Documentation

## copyToFITS()

template<class recordType, class fitsType>

virtual void casacore::ArrayFITSFieldCopier< recordType, fitsType >::copyToFITS | ( |  | ) |

inline virtual

Copy the current contents of the input RORecordFieldPtr to the output FitsField.

pad with nulls

Implements casacore::FITSFieldCopier.

Definition at line 253 of file FITSFieldCopier.h.

References fits_p, and casacore::recordType().

## operator=()

template<class recordType, class fitsType>

ArrayFITSFieldCopier & casacore::ArrayFITSFieldCopier< recordType, fitsType >::operator= | ( | const ArrayFITSFieldCopier< recordType, fitsType > & | other | ) |

private

References ArrayFITSFieldCopier().

## Member Data Documentation

## fits_p

template<class recordType, class fitsType>

FitsField<fitsType>* casacore::ArrayFITSFieldCopier< recordType, fitsType >::fits_p

private

Definition at line 270 of file FITSFieldCopier.h.

Referenced by ArrayFITSFieldCopier(), copyToFITS(), and ~ArrayFITSFieldCopier().

## rec_p

template<class recordType, class fitsType>

RORecordFieldPtr<Array<recordType> >* casacore::ArrayFITSFieldCopier< recordType, fitsType >::rec_p

private

Definition at line 269 of file FITSFieldCopier.h.

Referenced by ArrayFITSFieldCopier(), and ~ArrayFITSFieldCopier().

The documentation for this class was generated from the following file:

- fits/FITS/FITSFieldCopier.h